package processView;

/*
 * This is a data class that holds the feedback message contents receieved from the server
 * 
 */

public class FeedbackMessage {

	private String feedbackText;
	private String solutionCorrect;
	private String nextFeedbackLevel;
	
	public String getFeedbackText() {
		return feedbackText;
	}
	public void setFeedbackText(String feedbackText) {
		this.feedbackText = feedbackText;
	}
	public boolean isSolutionCorrect() {
		return "t".equals(solutionCorrect);
	}
	public String getSolutionCorrect() {
		return solutionCorrect;
	}
	public void setSolutionCorrect(String solutionCorrect) {
		this.solutionCorrect = solutionCorrect;
	}
	public String getNextFeedbackLevel() {
		return nextFeedbackLevel;
	}
	public void setNextFeedbackLevel(String nextFeedbackLevel) {
		this.nextFeedbackLevel = nextFeedbackLevel;
	}	
}
